Deep Learning AMI (Ubuntu)

Sold by: Latest Version: 4.0
Linux/Unix
Linux/Unix

Product Overview

Comes with pip packages of popular deep learning frameworks installed in separate virtual environments. Includes Apache MXNet, Caffe, Caffe2, TensorFlow, PyTorch, Keras, CNTK and Theano. Each framework is installed with the latest version of NVidia CUDA that it supports, for instance, MXNet with CUDA 9, Caffe with CUDA 8 etc. The AMI also includes Anaconda Data Science packages. The Deep Learning AMI is provided at no additional charge to Amazon EC2 users.

Release tags/Branches used:
Apache MXNet 1.0 (and Gluon) with CUDA 9,
MXNet Model Server 0.1
TensorFlow 1.5 with CUDA 9,
TensorFlow Serving 1.4.0,
TensorBoard 1.0.0,
Caffe 1.0 with CUDA 8,
Caffe2 0.8.1 with CUDA 9,
PyTorch 0.3 with CUDA 9,
CNTK 2.4 with CUDA 9,
Theano 1.0 with CUDA 9,
Keras 1.2.2 and Keras 2.1.3

The AMI is also configured with NVidia cuDNN 6, cuDNN 7.0.5, and NVidia Driver 384.111.

The deep learning frameworks are pre-configured in separate, Conda-based virtual environments. Get started with running your deep learning code in minutes with our tutorials: https://docs.aws.amazon.com/dlami/latest/devguide/tutorial-conda.html

Check out the AMI Developer Guide for more how-to guides, detailed release notes and additional resources for the Conda-based deep learning AMI: http://docs.aws.amazon.com/dlami/latest/devguide/what-is-dlami.html

Version

4.0

Sold by

Fulfillment Methods

  • Amazon Machine Image

Pricing Information

Usage Information

Support Information

Customer Reviews